Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.DockDragHandler.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.DockDragHandler.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.DockDragHandler.cs	(revision 4068)
@@ -1,166 +1,140 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Windows.Forms;
+using System.ComponentModel;
 using System.Drawing;
 using System.Drawing.Drawing2D;
-using System.ComponentModel;
-
-namespace WeifenLuo.WinFormsUI.Docking
-{
-    partial class DockPanel
-    {
-        private sealed class DockDragHandler : DragHandler
-        {
-            private class DockIndicator : DragForm
-            {
-                #region IHitTest
-                private interface IHitTest
-                {
-                    DockStyle HitTest(Point pt);
-                    DockStyle Status { get;	set;	}
-                }
-                #endregion
-
-                #region PanelIndicator
-                private class PanelIndicator : PictureBox, IHitTest
-                {
-                    private static Image _imagePanelLeft = Resources.DockIndicator_PanelLeft;
-                    private static Image _imagePanelRight = Resources.DockIndicator_PanelRight;
-                    private static Image _imagePanelTop = Resources.DockIndicator_PanelTop;
-                    private static Image _imagePanelBottom = Resources.DockIndicator_PanelBottom;
-                    private static Image _imagePanelFill = Resources.DockIndicator_PanelFill;
-                    private static Image _imagePanelLeftActive = Resources.DockIndicator_PanelLeft_Active;
-                    private static Image _imagePanelRightActive = Resources.DockIndicator_PanelRight_Active;
-                    private static Image _imagePanelTopActive = Resources.DockIndicator_PanelTop_Active;
-                    private static Image _imagePanelBottomActive = Resources.DockIndicator_PanelBottom_Active;
-                    private static Image _imagePanelFillActive = Resources.DockIndicator_PanelFill_Active;
-
-                    public PanelIndicator(DockStyle dockStyle)
-                    {
-                        m_dockStyle = dockStyle;
-                        SizeMode = PictureBoxSizeMode.AutoSize;
-                        Image = ImageInactive;
-                    }
-
-                    private DockStyle m_dockStyle;
-                    private DockStyle DockStyle
-                    {
-                        get { return m_dockStyle; }
-                    }
-
-                    private DockStyle m_status;
-                    public DockStyle Status
-                    {
-                        get { return m_status; }
-                        set
-                        {
-                            if (value != DockStyle && value != DockStyle.None)
-                                throw new InvalidEnumArgumentException();
-
-                            if (m_status == value)
-                                return;
-
-                            m_status = value;
-                            IsActivated = (m_status != DockStyle.None);
-                        }
-                    }
-
-                    private Image ImageInactive
-                    {
-                        get
-                        {
-                            if (DockStyle == DockStyle.Left)
-                                return _imagePanelLeft;
-                            else if (DockStyle == DockStyle.Right)
-                                return _imagePanelRight;
-                            else if (DockStyle == DockStyle.Top)
-                                return _imagePanelTop;
-                            else if (DockStyle == DockStyle.Bottom)
-                                return _imagePanelBottom;
-                            else if (DockStyle == DockStyle.Fill)
-                                return _imagePanelFill;
-                            else
-                                return null;
-                        }
-                    }
-
-                    private Image ImageActive
-                    {
-                        get
-                        {
-                            if (DockStyle == DockStyle.Left)
-                                return _imagePanelLeftActive;
-                            else if (DockStyle == DockStyle.Right)
-                                return _imagePanelRightActive;
-                            else if (DockStyle == DockStyle.Top)
-                                return _imagePanelTopActive;
-                            else if (DockStyle == DockStyle.Bottom)
-                                return _imagePanelBottomActive;
-                            else if (DockStyle == DockStyle.Fill)
-                                return _imagePanelFillActive;
-                            else
-                                return null;
-                        }
-                    }
-
-                    private bool m_isActivated = false;
-                    private bool IsActivated
-                    {
-                        get { return m_isActivated; }
-                        set
-                        {
-                            m_isActivated = value;
-                            Image = IsActivated ? ImageActive : ImageInactive;
-                        }
-                    }
-
-                    public DockStyle HitTest(Point pt)
-                    {
-                        return this.Visible && ClientRectangle.Contains(PointToClient(pt)) ? DockStyle : DockStyle.None;
-                    }
-                }
-                #endregion PanelIndicator
-
-                #region PaneIndicator
-                private class PaneIndicator : PictureBox, IHitTest
-                {
-                    private struct HotSpotIndex
-                    {
-                        public HotSpotIndex(int x, int y, DockStyle dockStyle)
-                        {
-                            m_x = x;
-                            m_y = y;
-                            m_dockStyle = dockStyle;
-                        }
-
-                        private int m_x;
-                        public int X
-                        {
-                            get { return m_x; }
-                        }
-
-                        private int m_y;
-                        public int Y
-                        {
-                            get { return m_y; }
-                        }
-
-                        private DockStyle m_dockStyle;
-                        public DockStyle DockStyle
-                        {
-                            get { return m_dockStyle; }
-                        }
-                    }
-
-                    private static Bitmap _bitmapPaneDiamond = Resources.DockIndicator_PaneDiamond;
-                    private static Bitmap _bitmapPaneDiamondLeft = Resources.DockIndicator_PaneDiamond_Left;
-                    private static Bitmap _bitmapPaneDiamondRight = Resources.DockIndicator_PaneDiamond_Right;
-                    private static Bitmap _bitmapPaneDiamondTop = Resources.DockIndicator_PaneDiamond_Top;
-                    private static Bitmap _bitmapPaneDiamondBottom = Resources.DockIndicator_PaneDiamond_Bottom;
-                    private static Bitmap _bitmapPaneDiamondFill = Resources.DockIndicator_PaneDiamond_Fill;
-                    private static Bitmap _bitmapPaneDiamondHotSpot = Resources.DockIndicator_PaneDiamond_HotSpot;
-                    private static Bitmap _bitmapPaneDiamondHotSpotIndex = Resources.DockIndicator_PaneDiamond_HotSpotIndex;
-                    private static HotSpotIndex[] _hotSpots = new HotSpotIndex[]
+using System.Windows.Forms;
+
+namespace WeifenLuo.WinFormsUI.Docking {
+  partial class DockPanel {
+    private sealed class DockDragHandler : DragHandler {
+      private class DockIndicator : DragForm {
+        #region IHitTest
+        private interface IHitTest {
+          DockStyle HitTest(Point pt);
+          DockStyle Status { get; set; }
+        }
+        #endregion
+
+        #region PanelIndicator
+        private class PanelIndicator : PictureBox, IHitTest {
+          private static Image _imagePanelLeft = Resources.DockIndicator_PanelLeft;
+          private static Image _imagePanelRight = Resources.DockIndicator_PanelRight;
+          private static Image _imagePanelTop = Resources.DockIndicator_PanelTop;
+          private static Image _imagePanelBottom = Resources.DockIndicator_PanelBottom;
+          private static Image _imagePanelFill = Resources.DockIndicator_PanelFill;
+          private static Image _imagePanelLeftActive = Resources.DockIndicator_PanelLeft_Active;
+          private static Image _imagePanelRightActive = Resources.DockIndicator_PanelRight_Active;
+          private static Image _imagePanelTopActive = Resources.DockIndicator_PanelTop_Active;
+          private static Image _imagePanelBottomActive = Resources.DockIndicator_PanelBottom_Active;
+          private static Image _imagePanelFillActive = Resources.DockIndicator_PanelFill_Active;
+
+          public PanelIndicator(DockStyle dockStyle) {
+            m_dockStyle = dockStyle;
+            SizeMode = PictureBoxSizeMode.AutoSize;
+            Image = ImageInactive;
+          }
+
+          private DockStyle m_dockStyle;
+          private DockStyle DockStyle {
+            get { return m_dockStyle; }
+          }
+
+          private DockStyle m_status;
+          public DockStyle Status {
+            get { return m_status; }
+            set {
+              if (value != DockStyle && value != DockStyle.None)
+                throw new InvalidEnumArgumentException();
+
+              if (m_status == value)
+                return;
+
+              m_status = value;
+              IsActivated = (m_status != DockStyle.None);
+            }
+          }
+
+          private Image ImageInactive {
+            get {
+              if (DockStyle == DockStyle.Left)
+                return _imagePanelLeft;
+              else if (DockStyle == DockStyle.Right)
+                return _imagePanelRight;
+              else if (DockStyle == DockStyle.Top)
+                return _imagePanelTop;
+              else if (DockStyle == DockStyle.Bottom)
+                return _imagePanelBottom;
+              else if (DockStyle == DockStyle.Fill)
+                return _imagePanelFill;
+              else
+                return null;
+            }
+          }
+
+          private Image ImageActive {
+            get {
+              if (DockStyle == DockStyle.Left)
+                return _imagePanelLeftActive;
+              else if (DockStyle == DockStyle.Right)
+                return _imagePanelRightActive;
+              else if (DockStyle == DockStyle.Top)
+                return _imagePanelTopActive;
+              else if (DockStyle == DockStyle.Bottom)
+                return _imagePanelBottomActive;
+              else if (DockStyle == DockStyle.Fill)
+                return _imagePanelFillActive;
+              else
+                return null;
+            }
+          }
+
+          private bool m_isActivated = false;
+          private bool IsActivated {
+            get { return m_isActivated; }
+            set {
+              m_isActivated = value;
+              Image = IsActivated ? ImageActive : ImageInactive;
+            }
+          }
+
+          public DockStyle HitTest(Point pt) {
+            return this.Visible && ClientRectangle.Contains(PointToClient(pt)) ? DockStyle : DockStyle.None;
+          }
+        }
+        #endregion PanelIndicator
+
+        #region PaneIndicator
+        private class PaneIndicator : PictureBox, IHitTest {
+          private struct HotSpotIndex {
+            public HotSpotIndex(int x, int y, DockStyle dockStyle) {
+              m_x = x;
+              m_y = y;
+              m_dockStyle = dockStyle;
+            }
+
+            private int m_x;
+            public int X {
+              get { return m_x; }
+            }
+
+            private int m_y;
+            public int Y {
+              get { return m_y; }
+            }
+
+            private DockStyle m_dockStyle;
+            public DockStyle DockStyle {
+              get { return m_dockStyle; }
+            }
+          }
+
+          private static Bitmap _bitmapPaneDiamond = Resources.DockIndicator_PaneDiamond;
+          private static Bitmap _bitmapPaneDiamondLeft = Resources.DockIndicator_PaneDiamond_Left;
+          private static Bitmap _bitmapPaneDiamondRight = Resources.DockIndicator_PaneDiamond_Right;
+          private static Bitmap _bitmapPaneDiamondTop = Resources.DockIndicator_PaneDiamond_Top;
+          private static Bitmap _bitmapPaneDiamondBottom = Resources.DockIndicator_PaneDiamond_Bottom;
+          private static Bitmap _bitmapPaneDiamondFill = Resources.DockIndicator_PaneDiamond_Fill;
+          private static Bitmap _bitmapPaneDiamondHotSpot = Resources.DockIndicator_PaneDiamond_HotSpot;
+          private static Bitmap _bitmapPaneDiamondHotSpotIndex = Resources.DockIndicator_PaneDiamond_HotSpotIndex;
+          private static HotSpotIndex[] _hotSpots = new HotSpotIndex[]
 			{
 				new HotSpotIndex(1, 0, DockStyle.Top),
@@ -170,70 +144,63 @@
 				new HotSpotIndex(1, 2, DockStyle.Bottom)
 			};
-                    private static GraphicsPath _displayingGraphicsPath = DrawHelper.CalculateGraphicsPathFromBitmap(_bitmapPaneDiamond);
-
-                    public PaneIndicator()
-                    {
-                        SizeMode = PictureBoxSizeMode.AutoSize;
-                        Image = _bitmapPaneDiamond;
-                        Region = new Region(DisplayingGraphicsPath);
-                    }
-
-                    public static GraphicsPath DisplayingGraphicsPath
-                    {
-                        get { return _displayingGraphicsPath; }
-                    }
-
-                    public DockStyle HitTest(Point pt)
-                    {
-                        if (!Visible)
-                            return DockStyle.None;
-
-                        pt = PointToClient(pt);
-                        if (!ClientRectangle.Contains(pt))
-                            return DockStyle.None;
-
-                        for (int i = _hotSpots.GetLowerBound(0); i <= _hotSpots.GetUpperBound(0); i++)
-                        {
-                            if (_bitmapPaneDiamondHotSpot.GetPixel(pt.X, pt.Y) == _bitmapPaneDiamondHotSpotIndex.GetPixel(_hotSpots[i].X, _hotSpots[i].Y))
-                                return _hotSpots[i].DockStyle;
-                        }
-
-                        return DockStyle.None;
-                    }
-
-                    private DockStyle m_status = DockStyle.None;
-                    public DockStyle Status
-                    {
-                        get { return m_status; }
-                        set
-                        {
-                            m_status = value;
-                            if (m_status == DockStyle.None)
-                                Image = _bitmapPaneDiamond;
-                            else if (m_status == DockStyle.Left)
-                                Image = _bitmapPaneDiamondLeft;
-                            else if (m_status == DockStyle.Right)
-                                Image = _bitmapPaneDiamondRight;
-                            else if (m_status == DockStyle.Top)
-                                Image = _bitmapPaneDiamondTop;
-                            else if (m_status == DockStyle.Bottom)
-                                Image = _bitmapPaneDiamondBottom;
-                            else if (m_status == DockStyle.Fill)
-                                Image = _bitmapPaneDiamondFill;
-                        }
-                    }
-                }
-                #endregion PaneIndicator
-
-                #region consts
-                private int _PanelIndicatorMargin = 10;
-                #endregion
-
-                private DockDragHandler m_dragHandler;
-
-                public DockIndicator(DockDragHandler dragHandler)
-                {
-                    m_dragHandler = dragHandler;
-                    Controls.AddRange(new Control[] {
+          private static GraphicsPath _displayingGraphicsPath = DrawHelper.CalculateGraphicsPathFromBitmap(_bitmapPaneDiamond);
+
+          public PaneIndicator() {
+            SizeMode = PictureBoxSizeMode.AutoSize;
+            Image = _bitmapPaneDiamond;
+            Region = new Region(DisplayingGraphicsPath);
+          }
+
+          public static GraphicsPath DisplayingGraphicsPath {
+            get { return _displayingGraphicsPath; }
+          }
+
+          public DockStyle HitTest(Point pt) {
+            if (!Visible)
+              return DockStyle.None;
+
+            pt = PointToClient(pt);
+            if (!ClientRectangle.Contains(pt))
+              return DockStyle.None;
+
+            for (int i = _hotSpots.GetLowerBound(0); i <= _hotSpots.GetUpperBound(0); i++) {
+              if (_bitmapPaneDiamondHotSpot.GetPixel(pt.X, pt.Y) == _bitmapPaneDiamondHotSpotIndex.GetPixel(_hotSpots[i].X, _hotSpots[i].Y))
+                return _hotSpots[i].DockStyle;
+            }
+
+            return DockStyle.None;
+          }
+
+          private DockStyle m_status = DockStyle.None;
+          public DockStyle Status {
+            get { return m_status; }
+            set {
+              m_status = value;
+              if (m_status == DockStyle.None)
+                Image = _bitmapPaneDiamond;
+              else if (m_status == DockStyle.Left)
+                Image = _bitmapPaneDiamondLeft;
+              else if (m_status == DockStyle.Right)
+                Image = _bitmapPaneDiamondRight;
+              else if (m_status == DockStyle.Top)
+                Image = _bitmapPaneDiamondTop;
+              else if (m_status == DockStyle.Bottom)
+                Image = _bitmapPaneDiamondBottom;
+              else if (m_status == DockStyle.Fill)
+                Image = _bitmapPaneDiamondFill;
+            }
+          }
+        }
+        #endregion PaneIndicator
+
+        #region consts
+        private int _PanelIndicatorMargin = 10;
+        #endregion
+
+        private DockDragHandler m_dragHandler;
+
+        public DockIndicator(DockDragHandler dragHandler) {
+          m_dragHandler = dragHandler;
+          Controls.AddRange(new Control[] {
 			            PaneDiamond,
 			            PanelLeft,
